Bug 258564 - security/py-acme security/py-certbot*: Update to 1.20.0
Summary: security/py-acme security/py-certbot*: Update to 1.20.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yasuhiro Kimura
URL: Change Log: https://github.com/ce...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-18 06:44 UTC by Yasuhiro Kimura
Modified: 2021-10-17 11:16 UTC (History)
3 users (show)

See Also:
dbaio: maintainer-feedback+
dbaio: maintainer-feedback+


Attachments
Patch file (12.29 KB, patch)
2021-09-18 06:44 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (12.35 KB, patch)
2021-10-06 17:55 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura freebsd_committer 2021-09-18 06:44:16 UTC
Created attachment 227969 [details]
Patch file

Update to 1.19.0.

Change Log: https://github.com/certbot/certbot/releases/tag/v1.19.0
Comment 1 Yasuhiro Kimura freebsd_committer 2021-10-06 17:55:01 UTC
Created attachment 228484 [details]
Updated patch file

New version 1.20.0 is released.

Change Log: https://github.com/certbot/certbot/releases/tag/v1.20.0
Comment 2 Danilo G. Baio freebsd_committer 2021-10-10 12:50:22 UTC
Hi.

Please, could you confirm Q/A?

I usually do:

- make test on security/py-acme and security/py-certbot
- poudriere testport on security/py-certbot
- Renew a regular certificate
- Renew a certificate through dns, (digitalocean in my case)
Comment 3 Yasuhiro Kimura freebsd_committer 2021-10-14 04:16:57 UTC
(In reply to Danilo G. Baio from comment #2)

Usually I do following.

* `poudriere bulk -t` with all updated ports.
* Issue new certificate with DNS-01 challenge and rfc2136 plugins.

Does any problem happen with my patch?
Comment 4 Danilo G. Baio freebsd_committer 2021-10-14 12:59:59 UTC
(In reply to Yasuhiro Kimura from comment #3)

As you did these tests, you can push it.

Approved by:	dbaio (python, maintainer)

Next time, just let us know. And thanks for your work.
Comment 5 commit-hook freebsd_committer 2021-10-17 11:12:04 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=afb03ca91b05a90b9f2ed3f6c8b1ba1d8575ee97

commit afb03ca91b05a90b9f2ed3f6c8b1ba1d8575ee97
Author:     Yasuhiro Kimura <yasu@FreeBSD.org>
AuthorDate: 2021-09-18 05:05:30 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-10-17 11:10:21 +0000

    security/{py-acme,py-certbot*}: Update to 1.20.0

    Change Log:     https://github.com/certbot/certbot/releases/tag/v1.19.0
    Change Log:     https://github.com/certbot/certbot/releases/tag/v1.20.0
    PR:             258564
    Approved by:    dbaio (python, maintainer), ygy (mentor)
    Differential Revision:  https://reviews.freebsd.org/D32518

 security/py-acme/distinfo                     | 6 +++---
 security/py-acme/version.mk                   | 2 +-
 security/py-certbot-apache/distinfo           | 6 +++---
 security/py-certbot-dns-cloudflare/distinfo   | 6 +++---
 security/py-certbot-dns-cloudxns/distinfo     | 6 +++---
 security/py-certbot-dns-digitalocean/distinfo | 6 +++---
 security/py-certbot-dns-dnsimple/distinfo     | 6 +++---
 security/py-certbot-dns-dnsmadeeasy/distinfo  | 6 +++---
 security/py-certbot-dns-gehirn/distinfo       | 6 +++---
 security/py-certbot-dns-google/distinfo       | 6 +++---
 security/py-certbot-dns-linode/distinfo       | 6 +++---
 security/py-certbot-dns-luadns/distinfo       | 6 +++---
 security/py-certbot-dns-nsone/distinfo        | 6 +++---
 security/py-certbot-dns-ovh/distinfo          | 6 +++---
 security/py-certbot-dns-rfc2136/distinfo      | 6 +++---
 security/py-certbot-dns-route53/distinfo      | 6 +++---
 security/py-certbot-dns-sakuracloud/distinfo  | 6 +++---
 security/py-certbot-nginx/distinfo            | 6 +++---
 security/py-certbot/distinfo                  | 6 +++---
 19 files changed, 55 insertions(+), 55 deletions(-)